#banner {
  background-image: url("../../assets/images/background-1.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;

  .banner-overlay{
    background: linear-gradient(to bottom left, rgba(3, 21, 37, 0.8) 50%, rgba(20, 55, 66, 0.8) 50%);

    .banner-wrapper{
      margin: auto;
         
      img{
        width: 100%;
        height: auto;
        display: block;
      }

      .login-form{
        display: none; 
        position: fixed; 
        z-index: 5; 
        left: 0;
        top: 0;
        width: 100%; 
        height: 100%; 
        overflow: auto; 
        background-color: rgba(0,0,0,0.4); 
   
        .login-content{
          background-color: var(--tertiary);
          margin: 0 auto;    
          border: 1px solid rgb(80, 80, 80);
          border-radius: 15px;
          box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.4);
               
          .close{
            float: right;
            color: #000;
            font-weight: bold;
            &:hover{
              color: red;
              cursor: pointer;
            }
          }
   
          .login-container{                  
            .field{
              width: 100%;
            }
   
            label{
              display: block;
            }
   
            button{
              border: none;
              background: var(--primary);
              border-radius: 3px;
              color: var(--tertiary);
              &:hover{
                transform: scale(1.05);
                transition: transform 0.2s;
                box-shadow: 2px 2px 2px 0px rgba(0,0,0,0.5);
              }
            }
   
            a{
              color: inherit;
              float: right;
              text-decoration: underline;
            }
          }
        }
      }

      .animate{
        animation: animatezoom 0.5s
      }
         
      @keyframes animatezoom {
        from {transform: scale(0)}
        to {transform: scale(1)}
      }
      

      h4{
        text-align: center;
        color: var(--tertiary)
      }

      h3{
        text-align: center;
        color: var(--tertiary)
      }
    }
  }
}

@media screen and (max-width: 1499px){
  .banner-wrapper{
    .login-btn {
      border: 1px solid var(--secondary);
      float: right;
      position: relative;
      background: transparent;
      width: 100px;
      height: 35px;
      color: var(--tertiary);
      font-size: 0.8em;
      font-weight: lighter;
      overflow: hidden;
      z-index: 1;
      white-space: nowrap;
      &:after{
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 250px;
        height: 250px;
        background: var(--secondary);
        z-index: -1;
        transform: translateX(-20px) translateY(20px) rotate(-45deg);
        transition: transform 0.5s;
      }
      &:hover::after{
        transform: translateX(50%) translateY(-50%)  rotate(-45deg);
      }
    }

    .login-container{
      button{
        width: 100px;
        height: 35px;
        font-weight: lighter;
        font-size: 0.8em;
      }
    }
       
    p{
      text-align: center;
      
      .arrow {
        border: solid var(--tertiary);
        border-width: 0 4px 4px 0;
        display: inline-block;
        padding: 3px;
        transform: rotate(45deg);
      }
    }  
  }
}

//Mobile
@media screen and (max-width: 767px){
  .banner-wrapper{
    padding: 20px 20px;
    max-width: 500px;
      
    .login-form{
      padding-top: 100px;

      .login-content{
        width: 80%;
        max-width: 450px;
   
        .close{
          padding-right: 15px;
          font-size: 25px;
        }

        .login-container{
          padding: 15px;

          .field{
            margin: 5px 0;
          }

          label{
            margin: 10px 0;
          }

          a{
            padding-top: 16px;
          }
        }
      }
    }

    img{
      padding: 75px 0;
      max-width: 400px;
      margin: auto;
    }   
  }
}

//Tablet
@media screen and (min-width: 768px) and (max-width: 1023px) {
  .banner-wrapper{
    padding: 50px 20px 20px 20px;
    max-width: 650px;

    .login-form{
      padding-top: 100px;

      .login-content{
        width: 80%;
        max-width: 500px;
   
        .close{
          padding-right: 25px;
          padding-top: 5px;
          font-size: 35px;
        }

        .login-container{
          padding: 25px;

          .field{
            margin: 10px 0;
          }

          label{
            margin: 15px 0;
          }

          a{
            padding-top: 16px;
          }
        }
      }
    }

    img{
      padding: 75px 0;
      max-width: 400px;
      margin: 75px auto;
    }
  }
}

//Laptop
@media screen and (min-width: 1024px) and (max-width: 1499px) {
  .banner-wrapper{
    padding: 50px 20px 20px 20px;
    max-width: 950px;

    .login-form{
      padding-top: 150px;

      .login-content{
        width: 80%;
        max-width: 550px;
   
        .close{
          padding-right: 30px;
          padding-top: 10px;
          font-size: 35px;
        }

        .login-container{
          padding: 30px;

          .field{
            margin: 10px 0;
          }

          label{
            margin: 15px 0;
          }

          a{
            padding-top: 16px;
          }
        }
      } 
    }

    img{
      padding: 75px 0;
      max-width: 400px;
      margin: 100px auto;
    }

    h3{
      padding-bottom: 20px;
    }
  }
}

//Desktop
@media screen and (min-width: 1500px){
  .banner-wrapper{
    padding: 50px 20px 20px 20px;
    max-width: 1170px;

    .login-btn {
      border: 1px solid var(--secondary);
      float: right;
      position: relative;
      background: transparent;
      color: var(--tertiary);
      width: 175px;
      height: 50px;
      font-size: 1.1em;
      overflow: hidden;
      z-index: 1;
      white-space: nowrap;
      &:after{
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 350px;
        height: 350px;
        background: var(--secondary);
        z-index: -1;
        transform: translateX(-10px) translateY(20px) rotate(-60deg);
        transition: transform 0.5s;
      }
      &:hover::after{
        transform: translateX(50%) translateY(-50%)  rotate(-45deg);
      }
    }
    
    .login-form{
      padding-top: 250px;

      .login-content{
        width: 80%;
        max-width: 900px;
   
        .close{
          padding-right: 60px;
          padding-top: 15px;
          font-size: 50px;
        }

        .login-container{
          padding: 60px 60px 40px 60px;

          .field{
            margin: 15px 0;
            font-size: 1.4em;
            height: 50px;
          }

          button{
            width: 175px;
            height: 50px;
            font-size: 1.1em;
          }

          label{
            margin: 20px 0;
            font-size: 1.4em;
          }

          a{
            font-size: 1.4em;
            padding-top: 25px;
          }
        }
      }
    }

    img{
      padding-top: 265px;
      padding-bottom: 150px;
      max-width: 650px;
      margin: 100px auto;
    }

    h4{
      font-size: 1.4em;
      padding-bottom: 15px;
    }

    h3{
      font-size: 1.6em;
      font-weight: bold;
      padding-bottom: 45px;
    }

    p{
      text-align: center;

      .arrow {
        border: solid var(--tertiary);
        border-width: 0 5px 5px 0;
        display: inline-block;
        padding: 8px;
        transform: rotate(45deg);
        margin-bottom: 5px;
      }
    }
  }
}